Xerces-C++ 3.3.0

Public Member Functions | List of all members
XMLInteger Class Reference

`#include <xercesc/util/XMLInteger.hpp>`

Inheritance diagram for XMLInteger:

## Public Member Functions
| XMLInteger (const int intVal)
| Constructs a newly allocated `XMLInteger` object.
| ~XMLInteger ()
int | intValue () const
| Returns the built in integer value.
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ XMLInteger()

XMLInteger::XMLInteger | ( | const int | intVal | ) |

Constructs a newly allocated `XMLInteger` object.

Parameters

  intVal | the `integer`

## ◆ ~XMLInteger()

XMLInteger::~XMLInteger | ( |  | ) |

## Member Function Documentation

## ◆ intValue()

int XMLInteger::intValue | ( |  | ) | const

Returns the built in integer value.

The documentation for this class was generated from the following file:

- XMLInteger.hpp